pfSense - Bug #10376

Duplicate logs from charon
03/26/2020 01:30 AM - Christian Ullrich
Description

Intermittently the IPsec log receives every log line from charon twice, formatted slightly differently. The difference is that where there
is a connection associated with the line, it appears in only one of the copies, while other lines are duplicated verbatim:

Mar 26 06:26:22 charon: 06[IKE]
Mar 26 06:26:22 charon: 06[IKE]
Mar 26 06:26:32 charon: 10[IKE]
Mar 26 06:26:32 charon: 10[IKE]
Mar 26 06:26:37 charon: 11[CFG]
Mar 26 06:26:37 charon: 11[CFG]
Mar 26 06:26:37 charon: 11[CFG]
Mar 26 06:26:37 charon: 11[CFG]
Mar 26 06:26:37 charon: 11[CFG]
-1l.key'

Mar 26 06:26:37 charon: 11[CFG]
-1l.key'

Mar 26 06:26:37 charon: 11[CFG]
-2.key'

Mar 26 06:26:37 charon: 11[CFG]
-2.key'

sending DPD request

<con6000|277> sending DPD request

sending DPD request

<con8000|279> sending DPD request

rereading secrets
rereading secrets
loading secrets from
loading secrets from
loaded RSA private

loaded RSA private

loaded RSA private

loaded RSA private

'/var/etc/ipsec/ipsec.secrets'
'/var/etc/ipsec/ipsec.secrets'

key from '/var/etc/ipsec/ipsec.
key from '/var/etc/ipsec/ipsec.
key from '/var/etc/ipsec/ipsec.

key from '/var/etc/ipsec/ipsec.

My log levels are currently set mostly to Audit, with a few on Control. This happens at the default levels, too.

d/private/cert
d/private/cert
d/private/cert

d/private/cert

| think it is sometimes possible to get the daemon out of this state by reloading it (apply changes). As you can see above, it did not
work this time.

History

#1 - 03/26/2020 01:31 AM - Christian Ullrich

pfSense is 2.4.4-p3.

#2 - 03/30/2020 10:02 AM - Jim Pingle
- Category set to IPsec

- Status changed from New to Rejected

Fairly certain this has been solved on at least 2.5.0, if not also on 2.4.5. | used to see this regularly and haven't seen it anywhere in my lab in quite

some time.

#3 - 04/09/2020 03:05 PM - Christian Ullrich

| don't know about 2.5.0, but | can assure you it is not fixed in 2.4.5.
